> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockworksresearch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Celestia: Blob Fees

> Fees paid for blob data posting

## Overview

* **Denomination:** USD
* **Type:** USD Value
* **Interval:** Daily
* **Source:** Blockworks

## Example Request

<CodeGroup>
  ```bash cURL theme={null}
  curl -H "x-api-key: YOUR_API_KEY" \
    "https://api.blockworks.com/v1/metrics/transaction-other-fee-total-usd?project=celestia"
  ```

  ```typescript TypeScript theme={null}
  const res = await fetch(
    'https://api.blockworks.com/v1/metrics/transaction-other-fee-total-usd?project=celestia',
    { headers: { 'x-api-key': 'YOUR_API_KEY' } }
  )
  const data = await res.json()
  ```

  ```python Python theme={null}
  import requests

  r = requests.get(
    'https://api.blockworks.com/v1/metrics/transaction-other-fee-total-usd',
    headers={'x-api-key': 'YOUR_API_KEY'},
    params={'project': 'celestia'}
  )
  data = r.json()
  ```
</CodeGroup>

## Example Response

```json theme={null}
{
  "celestia": [
    {
      "date": "2026-04-19",
      "value": 46.64749012419473
    },
    {
      "date": "2026-04-18",
      "value": 49.6023765681868
    },
    {
      "date": "2026-04-17",
      "value": 48.952062449098605
    },
    {
      "date": "2026-04-16",
      "value": 38.41832103928484
    },
    {
      "date": "2026-04-15",
      "value": 36.58399246852076
    }
  ]
}
```

## Notes

* Intervals are daily unless otherwise noted.
* Data is updated daily and may be revised after late-arriving data.


## OpenAPI

````yaml GET /v1/metrics/transaction-other-fee-total-usd
openapi: 3.0.0
info:
  title: Blockworks API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.blockworks.com
security:
  - x-api-key: []
tags: []
paths:
  /v1/metrics/transaction-other-fee-total-usd:
    get:
      summary: Transaction Other Fee Total Usd
      description: >-
        Retrieve the 'transaction-other-fee-total-usd' metric for supported
        projects.
      operationId: MetricController_getResults_v1_transaction_other_fee_total_usd
      parameters:
        - name: project
          in: query
          required: true
          description: Project slug (comma-separated for multiple).
          schema:
            type: string
            enum:
              - arbitrum
              - celestia
              - ethereum
            example: arbitrum
          examples:
            arbitrum:
              value: arbitrum
              summary: Arbitrum
            celestia:
              value: celestia
              summary: Celestia
            ethereum:
              value: ethereum
              summary: Ethereum
            multi:
              value: arbitrum,celestia
              summary: Arbitrum + Celestia
        - name: start_date
          in: query
          required: false
          schema:
            type: string
            format: date
          description: Start date (YYYY-MM-DD)
        - name: end_date
          in: query
          required: false
          schema:
            type: string
            format: date
          description: End date (YYYY-MM-DD)
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: array
                  items:
                    type: object
                    additionalProperties: true
              example:
                projectName:
                  - date: '2025-08-10'
                    value: 123456.789
                  - date: '2025-08-11'
                    value: 234567.89
                  - date: '2025-08-12'
                    value: 345678.901
        '400':
          description: Bad Request
        '404':
          description: Not Found
      security:
        - x-api-key: []
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````